ProjectCorePlugin (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.project.core.ProjectCorePlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.project.core
Class ProjectCorePlugin

    java.lang.Object
      Plugin
          com.nokia.carbide.cpp.project.core.ProjectCorePlugin

    public class ProjectCorePlugin

extends Plugin

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` | `CARBIDE_PROJECT_ID`
`static java.lang.String` | `PLUGIN_ID`

Constructor Summary
`ProjectCorePlugin()` The constructor

Method Summary
`static IProject` | `createProject(java.lang.String name, java.lang.String location)` Creates an Eclipse project with the given name and location.
`static ProjectCorePlugin` | `getDefault()` Returns the shared instance
`static java.lang.String` | `getUniqueId()` Gets the unique id for this plugin
`static void` | `log(IStatus status)`
`static ICProject` | `postProjectCreatedActions(IProject project, java.lang.String projectRelativeBldInfPath, java.util.List<ISymbianBuildContext> buildConfigs, java.util.List<java.lang.String> infComponentsList, java.lang.String debugMMP, java.util.Map<ISymbianBuildContext,java.lang.String> pkgMappings, IProgressMonitor monitor)` Takes a plain Eclipse project and turns it into a Carbide.c++ project.
`void` | `start(BundleContext context)`
`void` | `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### CARBIDE_PROJECT_ID

    public static final java.lang.String CARBIDE_PROJECT_ID

Constructor Detail

### ProjectCorePlugin

    public ProjectCorePlugin()

  The constructor

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefault

    public static ProjectCorePlugin getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### getUniqueId

    public static java.lang.String getUniqueId()

  Gets the unique id for this plugin

  Returns:
    the unique id for this plugin

### createProject

    public static IProject createProject(java.lang.String name,
                                         java.lang.String location)
                                  throws CoreException

  Creates an Eclipse project with the given name and location. Does some error checking first to make sure there's not already another open project at that location. Deletes any project files that exist at that location as well.

  This method is intended to be used to create a project prior to adding folders/files and setting up Carbide build settings.

  Parameters:
    `name` - the name of the project to create
    `location` - the full file system path where the .project file should be created. pass null to use the default location.
  Returns:
    the newly created IProject
  Throws:
    `CoreException`

### postProjectCreatedActions

    public static ICProject postProjectCreatedActions(IProject project,
                                                      java.lang.String projectRelativeBldInfPath,
                                                      java.util.List<ISymbianBuildContext> buildConfigs,
                                                      java.util.List<java.lang.String> infComponentsList,
                                                      java.lang.String debugMMP,
                                                      java.util.Map<ISymbianBuildContext,java.lang.String> pkgMappings,
                                                      IProgressMonitor monitor)
                                               throws CoreException

  Takes a plain Eclipse project and turns it into a Carbide.c++ project.

  This method is intended to be called after creating a project using `createProject(String, String)` and adding all folders and files to it. It sets up the project so it has the Carbide.c++ build nature and sets up all of the project settings for it.

  Parameters:
    `project` - the project handle returned from `createProject(String, String)`
    `projectRelativeBldInfPath` - the project relative path to the bld.inf file
    `buildConfigs` - the list of ISymbianBuildContext's to be used as build configs for the project. can be empty but not null.
    `infComponentsList` - the list of mmp/makes files if a subset is to be built, otherwise an empty list (not null) if the entire bld.inf should be built.
    `debugMMP` - not used since 1.3
    `pkgMappings` - is the Map where build contexts are mapped to pkg file relative paths - can be null for none. The String value in pkgMappings is same as `ISISBuilderInfo.setPKGFile(String)`
    `monitor` - progress monitor for this operation.
  Returns:
    the ICProject handle
  Throws:
    `CoreException`

### log

    public static void log(IStatus status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD